Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tiles.preparer
Class NoSuchPreparerException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.apache.tiles.TilesException
                      org.apache.tiles.preparer.PreparerException
                          org.apache.tiles.preparer.NoSuchPreparerException

All Implemented Interfaces:
  java.io.Serializable

    public class NoSuchPreparerException

extends PreparerException

Thrown when the named preparerInstance can not be found.

Since:
  2.0
Version:
  $Rev: 527536 $ $Date: 2007-04-11 17:44:51 +0200 (mer, 11 apr 2007) $
See Also:
  Serialized Form

Constructor Summary
`NoSuchPreparerException(java.lang.String message)` Constructor.
`NoSuchPreparerException(java.lang.String message, java.lang.Exception e)` Constructor.

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### NoSuchPreparerException

    public NoSuchPreparerException(java.lang.String message)

  Constructor.

  Parameters:
    `message` - The message to include.

### NoSuchPreparerException

    public NoSuchPreparerException(java.lang.String message,
                                   java.lang.Exception e)

  Constructor.

  Parameters:
    `message` - The message to include.
    `e` - The cause exception.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2010 Apache Software Foundation. All Rights Reserved.